Subject: [bug#59322] [PATCH v2 4/4] etc: teams: Add chez.scm to Racket team's scope.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 18 Nov 2022 20:23:23 +0100

Am Freitag, dem 18.11.2022 um 09:26 +0100 schrieb zimoun:
> Hi,
> 
> On Fri, 18 Nov 2022 at 08:01, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> > > -        #:scope (list "gnu/packages/racket.scm")))
> > > +        #:scope (list "gnu/packages/chez.scm"
> > > +                      "gnu/packages/racket.scm")))
> > 
> > I'm not sure whether this accurately captures the intent of teams. 
> > Yes, chez-scheme is required in Racket's bootstrap, but the only
> > "legal" changes to Racket's variant also affect racket.scm.  On the
> > other hand, the Racket team would weigh in on changes that only
> > affect the Chez side, which imho is unwarranted.
> 
> Why not?  Considering the only person part of the Racket team is
> Philip, the false-positive seems acceptable, no?
Given that folks tune out the main mailing list 

> BTW, Liliana, since you are often reviewing these patches, why not
> also add you as part of the Racket team?
To be frank, I only review them with respect to Guix coding guidelines.
I have no idea how Racket itself works – if I did, I would already have
fixed some annoyances with its packaging – and I fear that despite all
my efforts Philip might be the only one who truly understands what's
going on.

Cheers